/*
 * This file is part of htmltolatex (h2l) a HTML to Latex converter
 * Copyright (C) 2001 Neil Radisch (nradisch@panix.com)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file copying.txt.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */
#ifdef __GNUC__

#include	"safe_ostrstream.h"
#include	<stdio.h>

safe_ostrstream::safe_ostrstream()
	: mResult(0) {}

safe_ostrstream::~safe_ostrstream()
{
	delete [] mResult;
	mResult = 0;
}

const char *
safe_ostrstream::str()
{
	(*this) << ends;
	mResult = ostrstream::str();
	return mResult;
}

#endif
